#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hls-refactor-plugin
version:              1.2.0.0
visibility:           public
id:                   hls-refactor-plugin-1.2.0.0-YOiRL4l9r4GHD0xQwCSrM
key:                  hls-refactor-plugin-1.2.0.0-YOiRL4l9r4GHD0xQwCSrM
license:              Apache-2.0
copyright:            The Haskell IDE Team
maintainer:           zubin.duggal@gmail.com
author:               The Haskell IDE Team
synopsis:             Exactprint refactorings for Haskell Language Server
description:
    Please see the README on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  10b33801ef86bd50796031ad67c165d4
exposed:              True
exposed-modules:
    Development.IDE.GHC.Compat.ExactPrint Development.IDE.GHC.Dump
    Development.IDE.GHC.ExactPrint Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.Util

hidden-modules:
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.Plugins.AddArgument
    Development.IDE.Plugin.Plugins.Diagnostic
    Development.IDE.Plugin.Plugins.FillHole
    Development.IDE.Plugin.Plugins.FillTypeWildcard
    Development.IDE.Plugin.Plugins.ImportUtils

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hls-refactor-plugin-1.2.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hls-refactor-plugin-1.2.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-refactor-plugin
hs-libraries:         HShls-refactor-plugin-1.2.0.0-YOiRL4l9r4GHD0xQwCSrM
depends:
    aeson-2.1.2.1-FhTjbzRVW7jFzXz0ecy3pa base-4.16.4.0
    bytestring-0.11.4.0 containers-0.6.5.1
    data-default-0.7.1.1-4Q2QEONQl2rBpJbSE6OFE3 deepseq-1.4.6.1
    dlist-1.0-HCxoMn9TirQDgPCFxho7O extra-1.7.16-9B4V23tC1fO4gqjltrnKoa
    ghc-9.2.8 ghc-boot-9.2.8
    ghc-exactprint-1.5.0-Ki2G4kHMoG5GlCoYqOGva3
    ghcide-1.10.0.0-6OJ5kLz9UpsDz0xBYDkrVJ
    hls-graph-1.9.0.0-HohhuQEeucDEZh1daXcrLC
    hls-plugin-api-1.6.0.0-7khGZxDAHBh4h2Xnkyxqnh
    lens-5.2.3-BvPGCNowJJEJ41IL4OiKRj
    lsp-1.6.0.0-7foj1UOuw6f9vn3R2cbem6 mtl-2.2.2
    regex-tdfa-1.3.2.2-9qhtUPQEi9W5AWI4Zc1oyW
    retrie-1.2.3-DJgGkyWzpiZ5jzKTxIua0f
    syb-0.7.2.4-7ynUdJcB17N8mF8LpyS12V text-1.2.5.0
    text-rope-0.3-3o9dslmtje1Dz1yj93o2Vj time-1.11.1.1
    transformers-0.5.6.2
    unordered-containers-0.2.20-3rvz4A0dRQ942O2ubs0wBO

haddock-interfaces:
    /usr/share/doc/haskell-hls-refactor-plugin/html/hls-refactor-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-refactor-plugin/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

